﻿/* DIALOG ********************************************************************/

/* DIALOGOPENER */
.SHOWDIALOGDATA {
    cursor: pointer;
}

.DIALOGDATA {
    display: none;
}

/* END DIALOGOPENER */

/* DIALOG */
.DIALOG {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    visibility: hidden;
    /*display:none;*/
    z-index: 1010;
}
    /* BACKGROUND */
    .DIALOG .bg {
        position: absolute;
        width: 100%;
        height: 100%;
        /*background-color:white;
        opacity:0.5;*/
        background: transparent url(../images/bg_white_t50.png) repeat;
        /* IE hack */
        background: none\9; /* Targets IE only */
        filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="../images/bg_white_t50.png", sizingMethod="scale");
    }

    .DIALOG.MODAL .bg {
        /*background-color:#666;
        opacity:0.5;*/
        background: transparent url(../images/bg_666_t50.png) repeat;
        /* IE hack */
        background: none\9; /* Targets IE only */
        filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="../images/bg_666_t50.png", sizingMethod="scale");
    }

    /* WINDOW */
    .DIALOG .window {
        position: absolute;
        top: 20%;
        left: 20%;
        width: 60%;
        -moz-border-radius: 8px;
        -khtml-border-radius: 8px;
        -webkit-border-radius: 8px;
        border-radius: 8px;
        border: #038DCE solid 2px;
        background-color: #FFF;
    }

@media only screen and (max-width: 1024px) {
    .DIALOG .window {
        top: 10%;
        left: 10%;
        width: 80%;
    }
}

@media only screen and (max-width: 600px) {
    .DIALOG .window {
        top: 5%;
        left: 5%;
        width: 90%;
    }
}

.DIALOG.AUTOWIDTH .window {
    width: auto;
}

.DIALOG .window header {
    font-size: 1em;
    min-height: 0.25em;
}

    .DIALOG .window header.HASCLOSE {
        min-height: 1.5em;
    }

    .DIALOG .window header .TITLE {
        color: #038DCE;
        font-size: 1.2em;
        font-weight: bold;
        padding: 0.25em 0.5em 0.15em 1em;
        /* DEBUG /border-right:#ffFF00 solid 1px;/* END DEBUG */
    }

    .DIALOG .window header.HASCLOSE .TITLE {
        margin-right: 2em;
    }

    .DIALOG .window header .CLOSE {
        position: absolute;
        color: #038DCE;
        top: 0px;
        right: 0px;
        font-weight: bold;
        text-transform: uppercase;
        padding: 0.25em 0.5em;
        display: none;
        cursor: pointer;
        /* DEBUG /border-left:#ff0000 solid 1px;/* END DEBUG */
    }

.DIALOG .window .DATA {
    position: relative;
    /*height:pocita sa;*/
    font-size: 0.925em;
    line-height: 1.5em;
    text-align: justify;
    border-top: #038DCE dotted 1px;
    border-bottom: #038DCE dotted 1px;
    overflow: auto;
    margin: 0 10px;
    /* DEBUG /border:#ff0000 solid 1px;/* END DEBUG */
}

    .DIALOG .window .DATA .content {
        border: transparent solid 1px; /* Koli spravnemu prepoctu vysky */
    }

.DIALOG.HASIFRAMEDATA .window .DATA {
    font-size: 0; /* Koli iframe aby nemal okolo ziadny viditelny prvok ... ani whitespace*/
    overflow-y: scroll;
}

.DIALOG .window footer {
    font-size: 1em;
    min-height: 0.25em;
}

.DIALOG .window .buttons {
    text-align: right;
}

    .DIALOG .window .buttons button {
        /*color:#FFF;
                font-weight:bold;
                padding:0.5em 1em;*/
        /*border:none;*/
        display: none;
        margin: 0.5em 0.5em 0.5em 0.5em;
    }

/* DIALOG BIG */
.DIALOG.BIG .window {
    top: 10%;
    left: 10%;
    width: 80%;
    height: 80%;
}

    .DIALOG.BIG .window .DATA {
        height: 100%;
        padding: 0 10px;
    }
/* END DIALOG BIG */

/* MOBILE DIALOG */
.mobile .DIALOG .window {
    top: 5%;
    left: 5%;
    width: 90%;
}
/* DIALOG BIG */
.mobile .DIALOG.BIG .window {
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
}
/* END MOBILE DIALOG */

/* END DIALOG */